<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="FaceSauna"
	description="Визульаный компонент для управления сауной" fileName="FaceSauna.jar"
	className="org.mati.npc.faces.sauna.FaceSauna" version="9151"
	time="17.02.2009 16:50:47">

	<Group>Умный дом</Group>
	
	<!--INLINKS BEGIN-->
	<INLink name="InFaceComponent" description="Входящая связь с компонента контейнера."
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InControl"
		description="Входящая связь для управления визуальным комопонентом при помощи универсального интерфейса."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutLogic" description="Исходящая связь на логику."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="false">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)."
		type="java.lang.Integer" nullable="false" defaultValue="0">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)."
		type="java.lang.Integer" nullable="false" defaultValue="0">
	</Attribute>
	<!--PROPERTIES END-->
</ClassComponent>